Debian Bug report logs - #691812
ITP: udevil -- flexible CLI tool which grants non-root users the ability to mount/unmount devices and network resource

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vladimir K <pzs-fs@yandex.ru>

Date: Tue, 30 Oct 2012 04:21:02 UTC

Owned by: Mateusz Łukasik <mati75@linuxmint.pl>

Severity: wishlist

Fixed in version udevil/0.4.1-1

Done: Mateusz Łukasik <mati75@linuxmint.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691812; Package wnpp. (Tue, 30 Oct 2012 04:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir K <pzs-fs@yandex.ru>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org.

Your message had a Version: pseudo-header with an invalid package version:

N/A; reported 2012-10-30

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Tue, 30 Oct 2012 04:21:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vladimir K <pzs-fs@yandex.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: udevil -- flexible CLI tool which grants non-root users the ability to mount/unmount devices and network resources
Date: Tue, 30 Oct 2012 08:19:33 +0400
Package: wnpp
Version: N/A; reported 2012-10-30
Severity: wishlist

* Package name : udevil
Version : 0.3.4
Upstream Author : IgnorantGuru <ignorantguru@gmx.com>
* URL : https://github.com/IgnorantGuru/udevil/tarball/master
* License : GPLv3+
Description : udevil is a command line Linux program which mounts and unmounts removable devices without a password, shows device info, and monitors device changes. It can also mount ISO files, nfs://, smb://, ftp://, and ssh:// URLs, and tmpfs/ramfs filesystems.

udevil is highly configurable, requires no daemon running, and depends only on udev and glib - NO udisks, gvfs, fuse, policykit, etc. (although it can coexist with any of these). To use it, just prefix a normal mount command with 'udevil'. udevil can also replace udisks in the SpaceFM file manager and the devmon automounting daemon (devmon is included with udevil). 

Highlights:
   - Lightweight - Written in C with libudev and glib - no dependency on udisks or gvfs
   - Users can specify custom mount points and mount options
   - Optional user mounting of nfs://, smb://, ftp://, and ssh:// network URLs with support for username, password, port, and any other configured options
   - Optional user mounting of image files (ISO, etc)
   - Uses mount's existing command line usage - just prefix your mount command with 'udevil'. Also supports udisks v1 and v2 command line usage
   - Flexible - Admins can easily adjust allowed users, groups, fstypes, devices, and networks, and set default mount options and allowed mount options for each fstype, with exceptions for special users
   - Extensible - Allows admins to use additional custom authentication and notification scripts
   - Secure - Designed to limit user actions to only what you want enabled, plus easily log all system-wide uses of udevil
   - Detailed errors and verbose commands for quick troubleshooting
   - Works as SpaceFM's mount/unmount command, replacing need for pmount or udisks
    Includes and works as a udisks v1 replacement for the devmon automounting daemon 

Limitations:
   - udevil does not currently handle encrypted devices automatically 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691812; Package wnpp. (Tue, 30 Oct 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Omega Weapon <omegaphil@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 30 Oct 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 691812@bugs.debian.org (full text, mbox):

From: Omega Weapon <omegaphil@gmail.com>
To: 691812@bugs.debian.org
Subject: Re: RFP: udevil -- flexible CLI tool which grants non-root users the ability to mount/unmount devices and network resources
Date: Tue, 30 Oct 2012 19:53:56 +0000
I have been using this for some months now, and any problems I found 
were dealt with promptly - I would appreciate this too along with 
SpaceFM packaging.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691812; Package wnpp. (Tue, 30 Oct 2012 23:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Acar Burak" <acarbura@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 30 Oct 2012 23:00:05 GMT) Full text and rfc822 format available.

Message #15 received at 691812@bugs.debian.org (full text, mbox):

From: "Acar Burak" <acarbura@gmail.com>
To: 691812@bugs.debian.org
Subject: SpaceFM + Udevil
Date: Wed, 31 Oct 2012 00:57:28 +0200
+5.

-- 
AB



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691812; Package wnpp. (Thu, 01 Nov 2012 05:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Gava <stephen.gava@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 01 Nov 2012 05:06:05 GMT) Full text and rfc822 format available.

Message #20 received at 691812@bugs.debian.org (full text, mbox):

From: Stephen Gava <stephen.gava@gmail.com>
To: 691812@bugs.debian.org
Subject: re: RFP: udevil -- flexible CLI tool which grants non-root users the ability to mount/unmount devices and network resources
Date: Thu, 01 Nov 2012 16:03:57 +1100
especially for spacefm support. +10



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691812; Package wnpp. (Thu, 14 Feb 2013 02:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Dias <lucasdias@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 14 Feb 2013 02:51:04 GMT) Full text and rfc822 format available.

Message #25 received at 691812@bugs.debian.org (full text, mbox):

From: Lucas Dias <lucasdias@gmail.com>
To: 691812@bugs.debian.org
Date: Wed, 13 Feb 2013 23:49:36 -0300
[Message part 1 (text/plain, inline)]
yes please package this great and useful program
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: udevil -- flexible CLI tool which grants non-root users the ability to mount/unmount devices and network resource' from 'RFP: udevil -- flexible CLI tool which grants non-root users the ability to mount/unmount devices and network resources' Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Wed, 20 Feb 2013 23:57:06 GMT) Full text and rfc822 format available.

Owner recorded as Mateusz Łukasik <mati75@linuxmint.pl>. Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Wed, 20 Feb 2013 23:57:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 691812: 701014 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 21 Feb 2013 04:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>:
Bug#691812; Package wnpp. (Thu, 14 Mar 2013 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to xx <juliocesar2k7@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>. (Thu, 14 Mar 2013 20:54:03 GMT) Full text and rfc822 format available.

Message #36 received at 691812@bugs.debian.org (full text, mbox):

From: xx <juliocesar2k7@gmail.com>
To: 691812@bugs.debian.org
Date: Thu, 14 Mar 2013 21:51:05 +0100
[Message part 1 (text/plain, inline)]
Please, package it to be used with the great SpaceFM.

Thanks.
[Message part 2 (text/html, inline)]

Added blocking bug(s) of 691812: 703399 Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 27 Mar 2013 19:30:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 17 Jul 2013 20:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>:
Bug#691812; Package wnpp. (Wed, 25 Sep 2013 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to riveravaldez@hushmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>. (Wed, 25 Sep 2013 18:39:04 GMT) Full text and rfc822 format available.

Message #45 received at 691812@bugs.debian.org (full text, mbox):

From: riveravaldez@hushmail.com
To: 691812@bugs.debian.org
Subject: udevil for spacefm
Date: Wed, 25 Sep 2013 15:04:42 -0300
[Message part 1 (text/plain, inline)]
Package it, please. For SpaceFM support. :)
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691812; Package wnpp. (Thu, 26 Sep 2013 07:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mateusz Łukasik <mati75@linuxmint.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 26 Sep 2013 07:48:04 GMT) Full text and rfc822 format available.

Message #50 received at 691812@bugs.debian.org (full text, mbox):

From: Mateusz Łukasik <mati75@linuxmint.pl>
To: riveravaldez@hushmail.com, 691812@bugs.debian.org
Subject: Re: Bug#691812: udevil for spacefm
Date: Thu, 26 Sep 2013 09:37:56 +0200
[Message part 1 (text/plain, inline)]
W dniu 25.09.2013 o 20:04 <riveravaldez@hushmail.com> pisze:

> Package it, please. For SpaceFM support. :)

Udevil packages is in new queue:  
http://ftp-master.debian.org/new/udevil_0.4.1-1.html
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>:
Bug#691812; Package wnpp. (Sat, 30 Nov 2013 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tsu Jan <tsujan2000@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>. (Sat, 30 Nov 2013 15:21:04 GMT) Full text and rfc822 format available.

Message #55 received at 691812@bugs.debian.org (full text, mbox):

From: Tsu Jan <tsujan2000@gmail.com>
To: 691812@bugs.debian.org
Subject: Re: udevil -- flexible CLI tool
Date: Sat, 30 Nov 2013 18:49:21 +0330
Now, it's needed even with KDE-4.11, where auto-mount doesn't work by default. 
A nifty app indeed!



Reply sent to Mateusz Łukasik <mati75@linuxmint.pl>:
You have taken responsibility. (Tue, 28 Jan 2014 11:03:05 GMT) Full text and rfc822 format available.

Notification sent to Vladimir K <pzs-fs@yandex.ru>:
Bug acknowledged by developer. (Tue, 28 Jan 2014 11:03:05 GMT) Full text and rfc822 format available.

Message #60 received at 691812-close@bugs.debian.org (full text, mbox):

From: Mateusz Łukasik <mati75@linuxmint.pl>
To: 691812-close@bugs.debian.org
Subject: Bug#691812: fixed in udevil 0.4.1-1
Date: Tue, 28 Jan 2014 11:00:06 +0000
Source: udevil
Source-Version: 0.4.1-1

We believe that the bug you reported is fixed in the latest version of
udevil, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691812@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mateusz Łukasik <mati75@linuxmint.pl> (supplier of updated udevil package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 13 Jan 2014 14:22:05 +0100
Source: udevil
Binary: udevil
Architecture: source amd64
Version: 0.4.1-1
Distribution: unstable
Urgency: low
Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Changed-By: Mateusz Łukasik <mati75@linuxmint.pl>
Description: 
 udevil     - Alternative storage media interface
Closes: 691812
Changes: 
 udevil (0.4.1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #691812)
Checksums-Sha1: 
 bcf473e3b629849e54638a90cd7adbe58ba922b2 1827 udevil_0.4.1-1.dsc
 3ab4017bda4d950b6f8c5744e1995af7924038a8 298636 udevil_0.4.1.orig.tar.xz
 5409f0fd152ca49fc114f2ead84d9d27fe1dce63 4404 udevil_0.4.1-1.debian.tar.xz
 86812deb56e4f30d9f24a46f07f204303d010dc1 71146 udevil_0.4.1-1_amd64.deb
Checksums-Sha256: 
 3c2ce7e31644821025ba59b46856269c9f60871bbceac96ddc6acd498dde972f 1827 udevil_0.4.1-1.dsc
 fa4a3d85361d17bb69dd7dabdcfeecd2b0f5fff95698113975d8fbd504af6c2e 298636 udevil_0.4.1.orig.tar.xz
 e76cf564d92e6ef63b684b6fdbcfcafee599b081b7458470b4122e8d90b7fab3 4404 udevil_0.4.1-1.debian.tar.xz
 9ff6c3dae79165b13cf67544f7ad98ee127615ab2e345c9148df172903816806 71146 udevil_0.4.1-1_amd64.deb
Files: 
 3ee61975a11defebbe0a823168dcf7c2 1827 utils optional udevil_0.4.1-1.dsc
 16b31f3d03169b4d511e0a9f5cf419a3 298636 utils optional udevil_0.4.1.orig.tar.xz
 d15f8c41df147fa7f25aadb0018320c5 4404 utils optional udevil_0.4.1-1.debian.tar.xz
 7d243ebd499ebad4e8920f6343c69f3a 71146 utils optional udevil_0.4.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS2lM9AAoJEHQmOzf1tfkTBP4P/3zxtN1Fers5L10gXsparmjE
+0NWCgKCvneJSpzJ6j4Sg7XpGo2l94hTtFGU3HUpGZ+k6KTYJ5UnFs9FLXuYPbK7
gbGDnYJdeLzzTsQJAaSd9/XqyHh8bwpik/65mAoRbATgr4bBKyNjNk8OWaFpHgq0
PxQfLR/eLJ6BtI1OgTaiJe52OnRfJWIEBR2m4ZirEvTG2QCMy9bv54PcErqlGqA3
Rsf3jp2Z9ELk/LhZIxspjw/2cfQcyWwTDCu433mm62tXw8YdcqatBCqvUwKPrn/e
OaHpVCIi1WfVuIb05cRQxEk/SwktuH/SchwLYuJufI1Scps+oKYfI7mVsIGNX3Zd
dQHzdZFhaLLxYZozmO4T4szxHV0g4gkgOV3RMC36pf/7s8zixFYrgL3i0cUGdqR3
KBX3Kql/MyY6bwQf9d4s7Axw/MUsM0c1/QoG00AugIrljDdOiBuTbpgIFyD9BzBi
DXtFb6hh+chfKXx+VYURum5HB9vAx9kCfUFcOO8ydPkcEpn/9VG5dRDAJNtPbIaD
IN78JVYO7dyHBffKFnSKdycQ4XXZ+FIduAMAWVrcaHtyoIDnFFYAHtYdGbHDwbqX
nEXgIXJUBHMqNfCoZj5PUbDvMnuYpZD5ma8aGxozWL5XvK22muJhbjG1pEigWI4t
9hKcDihxZhscIahOgmQ7
=LcrA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Feb 2014 07:26:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:22:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.